<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Exercicio Calculadora NOVA</title>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<link rel="stylesheet" href="css/estilo.css">
	</head>
	<body>
		<div class="container-fluid fundo">

			<div class="row" id="linha">

				<div class="corFundo" id="FundoCor">
					<div class="rowBotoes">
						<!-- menu -->
						<div class="menu">
							<ul class="nav nav-pills">
								<li class="nav-item dropdown">
									<a class="nav-link dropdown-toggle text-dark" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Menu</a>
									<div class="dropdown-menu">
										<a class="dropdown-item mr-3 topo" onclick="window.print();">Ficheiro</a>

										<a class="dropdown-item mr-3 topo" id="btnMostra" onclick="mostrar();">Científica</a>

										<a class="dropdown-item mr-3 topo" onclick="BackgroundColor();">Cor de Fundo</a>

										<a class="dropdown-item mr-3 topo" onclick="recarregar();">Recarregar</a>

										<a class="dropdown-item mr-3 topo" onclick="acerca();">Acerca</a>
									</div>
								</li>
							</ul>
						</div>


						<!-- visor da calculadora -->
						<div>
							<input type="text" id="visorRes" readonly class="bg-dark visor mt-1 mr-3">
							<!-- <p id="res" class="visor mt-4 pl-3"></p> -->
						</div>


						<!-- botões para a linha da calculadora científica -->
						<div id="cientifica">
							<input type="button" value="π" onclick="valor('3.14159');" class="btn btn-primary botao mr-2 pt-2 mt-3 pb-2 pl-2 pr-2">

							<input type="button" value="√" onclick="raizquadrada();" class="btn btn-primary btn btn-primary botao mr-2 pt-2 mt-3 pb-2 pl-2 pr-2">

							<input type="button" value="^" onclick="potencia('^');" class="btn btn-primary botao mr-2 pt-2 mt-3 pb-2 pl-2 pr-2">

							<input type="button" value="%" onclick="percentagem('%');" class="btn btn-primary botao mr-2 pt-2 mt-3 pb-2 pl-2 pr-2">
						</div>


						<!-- botões normais -->
						<div>
							<input type="button" value="(" onclick="valor('(');" class="btn btn-dark botao mr-2 pt-2 mt-3 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value=")" onclick="valor(')');" class="btn btn-dark btn btn-primary botao mr-2 pt-2 mt-3 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="C" onclick="apagarC('C');" class="btn btn-dark botao mr-2 pt-2 mt-3 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="←" onclick="apagarUm();" class="btn btn-dark botao mr-2 pt-2 mt-3 pb-2 mb-1 pl-2 pr-2">
						</div>
						<div>
							<input type="button" value="7" onclick="valor(7);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="8" onclick="valor(8);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="9" onclick="valor(9);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="/" onclick="valor('/');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
						</div>
						<div>
							<input type="button" value="4" onclick="valor(4);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="5" onclick="valor(5);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="6" onclick="valor(6);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="*" onclick="valor('*');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
						</div>
						<div>
							<input type="button" value="1" onclick="valor(1);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="2" onclick="valor(2);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="3" onclick="valor(3);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
							<input type="button" value="-" onclick="valor('-');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-1 pl-2 pr-2">
						</div>
						<div>
							<input type="button" value="," onclick="valor(',');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-3 pl-2 pr-2">
							<input type="button" value="0" onclick="valor(0);" class="btn btn-light botao mr-2 pt-2 pb-2 mb-3 pl-2 pr-2">
							<input type="button" value="=" onclick="igual('=');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-3 pl-2 pr-2">
							<input type="button" value="+" onclick="valor('+');" class="btn btn-dark botao mr-2 pt-2 pb-2 mb-3 pl-2 pr-2">
						</div>
					</div>
				</div>

				<div class="divHisto" id="divHistoTamanho">
					<p class="mt-1 mb-0 text-dark">Histórico de Cáculos</p>
					<p id="histoLog"></p>
					<!-- no css, mediaquery meter a função media print-->
				</div>
				
			</div>
		</div>
		<!-- colocar caminho do ficheiro app.js -->
		<script src="js/app.js"></script>
		
	</body>
</body>
</html>